> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/resize-windows365.md).

# Windows365 のサイズ変更

このユーザーの Windows 365 Cloud PC のサイズを変更

### 説明

このユーザーの Windows 365 Cloud PC を、現在のライセンス割り当てを解除して新しいライセンスで新しい Cloud PC をプロビジョニングすることで、別のサイズに変更します。古い Cloud PC はプロビジョニング解除されるため、そこにのみ保存されていたデータは失われます。事前にユーザーへバックアップするよう依頼してください。必要に応じて、新しい Cloud PC の準備ができたときにユーザーへメールを送信します。

### ライセンス グループをドロップダウンとして提供する

既定では、両方のライセンス フィールドはテキスト フィールドです。runbook のカスタマイズにより、Tenant のライセンス グループをドロップダウンとして提供できます（現在のライセンスと新しいライセンスで同じ一覧を使用します）:

```json
"rjgit-user_general_resize-windows365": {
    "Parameters": {
        "currentLicWin365GroupName": {
            "SelectSimple": {
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB",
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB"
            }
        },
        "newLicWin365GroupName": {
            "SelectSimple": {
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB",
                "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB": "lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB"
            }
        }
    }
}
```

サイズ変更では、 *Windows 365 の割り当てを解除する* および *Windows 365 を割り当てる* runbook を順に実行します。Azure Automation の名前は、非表示パラメーターにあらかじめ設定されています `unassignRunbook` および `assignRunbook`.

ランブックのカスタマイズ方法の詳細については、 [ランブック カスタマイズ ガイド](https://docs.realmjoin.com/automation/runbooks/runbook-customization).

### 場所

ユーザー → 一般 → Windows365 のサイズ変更

**完全な Runbook 名**

rjgit-user\_general\_resize-windows365

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.0.2                               |
| 必須モジュール  | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | いいえ                                 |

### 権限

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * GroupMember.ReadWrite.All
    * *ライセンス/構成グループのメンバーを読み取り、開始された unassign/assign 子 runbook がメンバーシップを変更します*
  * Group.ReadWrite.All
    * *ライセンスおよび構成グループを検索します。グループへの書き込みは、開始された子 runbook で行われます*
  * Directory.Read.All
    * */subscribedSkus とグループのライセンス割り当てを読み取り、空きの Windows 365 ライセンスを確認します*
  * CloudPC.ReadWrite.All
    * *Cloud PC の読み取りと猶予期間の終了を行う、開始された子 runbook をサポートします*
  * User.Read.All
    * *サイズ変更の前に、UPN に基づいて対象ユーザーを解決します*
  * Mail.Send *(オプション — 機能: メール レポート)*
    * *sendMailWhenDoneResizing が有効な場合、開始された assign 子 runbook がユーザーに通知します*

### パラメーター

#### UserName

Runbook が対象とするユーザーのユーザー プリンシパル名。ポータルで選択されたユーザーから設定されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | true                      |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### currentLicWin365GroupName

ユーザーが削除されるライセンス グループ。これに関連付けられた Cloud PC はプロビジョニング解除されます。

| プロパティ   | 値                                                 |
| ------- | ------------------------------------------------- |
| 必須      | true                                              |
| 既定値     | lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB |
| 種類      | 文字列                                               |
| ポータル表示名 | 現在の Windows 365 ライセンス                             |

#### newLicWin365GroupName

新しいサイズを提供するライセンス グループ。現在のものとは異なる必要があります。

| プロパティ   | 値                                                 |
| ------- | ------------------------------------------------- |
| 必須      | true                                              |
| 既定値     | lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB |
| 種類      | 文字列                                               |
| ポータル表示名 | 新しい Windows 365 ライセンス                             |

#### sendMailWhenDoneResizing

新しい Cloud PC の準備ができたら、ユーザーにメールを送信します。

| プロパティ   | 値                       |
| ------- | ----------------------- |
| 必須      | false                   |
| 既定値     | False                   |
| 種類      | ブール値                    |
| ポータル表示名 | サイズ変更が完了したらユーザーに通知しますか? |

**ポータルのオプション**

| ポータル オプション | 値     |
| ---------- | ----- |
| メールを送信しない  | false |
| メールを送信する   | true  |

#### fromMailAddress

通知メールの送信元となるメールボックス。

| プロパティ   | 値                     |
| ------- | --------------------- |
| 必須      | false                 |
| 既定値     | <reports@contoso.com> |
| 種類      | 文字列                   |
| ポータル表示名 | 送信者メールボックス            |

#### customizeMail

標準の通知テキストを独自のメッセージに置き換えます。

| プロパティ   | 値                 |
| ------- | ----------------- |
| 必須      | false             |
| 既定値     | False             |
| 種類      | ブール値              |
| ポータル表示名 | 通知メールをカスタマイズしますか？ |

**ポータルのオプション**

| ポータル オプション      | 値     |
| --------------- | ----- |
| 標準のメールを使用する     | false |
| カスタム メッセージを使用する | true  |

#### customMailMessage

通知メールの本文。

| プロパティ   | 値                                  |
| ------- | ---------------------------------- |
| 必須      | false                              |
| 既定値     | ここにカスタム メッセージを挿入してください。（3000 文字まで） |
| 種類      | 文字列                                |
| ポータル表示名 | カスタム メッセージ                         |

#### cfgProvisioningGroupPrefix

プロビジョニング ポリシー グループを識別する名前のプレフィックス。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                  |
| -------- | ---------------------------------- |
| 必須       | false                              |
| 既定値      | cfg - Windows 365 - Provisioning - |
| 種類       | 文字列                                |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)          |

#### cfgUserSettingsGroupPrefix

ユーザー設定ポリシー グループを識別する名前のプレフィックス。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| 必須       | false                               |
| 既定値      | cfg - Windows 365 - User Settings - |
| 種類       | 文字列                                 |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)           |

#### unassignRunbook

現在の割り当てを削除する runbook の名前。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                        |
| -------- | ---------------------------------------- |
| 必須       | false                                    |
| 既定値      | rjgit-user\_general\_unassign-windows365 |
| 種類       | 文字列                                      |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)                |

#### assignRunbook

新しいサイズを割り当てる runbook の名前。runbook のカスタマイズであらかじめ設定されています。

| プロパティ    | 値                                      |
| -------- | -------------------------------------- |
| 必須       | false                                  |
| 既定値      | rjgit-user\_general\_assign-windows365 |
| 種類       | 文字列                                    |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定)              |

#### skipGracePeriod

7 日間の猶予期間の後ではなく、古い Cloud PC をすぐに削除します。

| プロパティ   | 値                       |
| ------- | ----------------------- |
| 必須      | false                   |
| 既定値     | True                    |
| 種類      | ブール値                    |
| ポータル表示名 | 古い Cloud PC をすぐに削除しますか? |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/resize-windows365.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
